Bug 214170 - sysutils/xfburn is missing some dependencies - libburn & libisofs
Summary: sysutils/xfburn is missing some dependencies - libburn & libisofs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-03 17:40 UTC by rumen.yotov
Modified: 2016-12-07 18:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rumen.yotov 2016-11-03 17:40:11 UTC
Hi,

After installing xfburn from packages it could not start because of missing libraries - libburn and libisofs (bug 128795).

After installing both libraries it starts.

PS: FreeBSD-amd64-11-p3.

Thanks !
Rumen
Comment 1 Olivier Duchateau freebsd_committer 2016-11-03 18:24:14 UTC
libburn (devel/libburn) and libisofs (devel/libisofs) are already in Makefile, line LIB_DEPENDS.
Comment 2 Olivier Duchateau freebsd_committer 2016-11-03 18:32:17 UTC
Re-open, you're right!
Comment 3 commit-hook freebsd_committer 2016-12-06 18:22:47 UTC
A commit references this bug:

Author: olivierd
Date: Tue Dec  6 18:22:14 UTC 2016
New revision: 427981
URL: https://svnweb.freebsd.org/changeset/ports/427981

Log:
  - Fix run dependencies (see error message below)
  - Bump PORTREVISION

  Shared object "libburn.so.4" not found, required by "xfburn"
  Shared object "libisofs.so.6" not found, required by "xfburn"

  PR:		214170
  Reported by:	<rumen.yotov@gmail.com>, <doug@safeport.com> (freebsd-xfce list)
  MFH:		2016Q4

Changes:
  head/sysutils/xfburn/Makefile
Comment 4 Olivier Duchateau freebsd_committer 2016-12-06 18:25:32 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2016-12-07 18:00:18 UTC
A commit references this bug:

Author: olivierd
Date: Wed Dec  7 17:59:39 UTC 2016
New revision: 428080
URL: https://svnweb.freebsd.org/changeset/ports/428080

Log:
  MFH: r427981

  - Fix run dependencies (see error message below)
  - Bump PORTREVISION

  Shared object "libburn.so.4" not found, required by "xfburn"
  Shared object "libisofs.so.6" not found, required by "xfburn"

  PR:		214170
  Reported by:	<rumen.yotov@gmail.com>, <doug@safeport.com> (freebsd-xfce list)

  Approved by:	ports-secteam (junovitch@)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/sysutils/xfburn/Makefile